#!/bin/bash
# Copyright (C) 2019  Jakub Martisko <jamartis at redhat dot com>

# All rights reserved.

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:

#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

rm -f ./in1 ./in2 ./in3 ./in4 ./out ./exp ./in1.bz2 ./in2.bz2 ./in3.bz2 ./in4.bz2
echo "Hello world 1" > ./in1
echo "Hello world 2" > ./in2
echo "Hello world 3" > ./in3
echo "Hello world 4" > ./in4

cat ./in1 ./in2 ./in3 ./in4 > ./exp

bzip2 ./in1 ./in2 ./in3 ./in4 || exit 1

bzcat ./in1.bz2 ./in2.bz2 ./in3.bz2 ./in4.bz2 > ./out || exit 1 

diff ./exp ./out || exit 1 

rm -f ./in1 ./in2 ./in3 ./in4 ./out ./exp ./in1.bz2 ./in2.bz2 ./in3.bz2 ./in4.bz2

exit 0
