#!/bin/bash
# Copyright (C) 2019  Jakub Martisko <jamartis at redhat dot com>

# All rights reserved.

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:

#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

rm -f ./in1 ./in2 ./in3 ./in1.bz2 ./in2.bz2 ./in3.bz2 ./exp1 ./exp2 ./exp3 
echo "Hello 1" > ./in1
echo "Hello 2" > ./in2
echo "Hello 3" > ./in3

echo "Hello 1" > ./exp1
echo "Hello 2" > ./exp2
echo "Hello 3" > ./exp3


bzip2 ./in1 ./in2 ./in3
rm -f ./in1 ./in2 ./in3

ls ./in1.bz2 ./in2.bz2 ./in3.bz2 > /dev/null || exit 1
bunzip2 ./in1.bz2 ./in2.bz2 ./in3.bz2

diff ./in1 ./exp1 || exit 1
diff ./in2 ./exp2 || exit 1
diff ./in3 ./exp3 || exit 1

rm -f ./in1 ./in2 ./in3 ./in1.bz2 ./in2.bz2 ./in3.bz2 ./exp1 ./exp2 ./exp3 
exit 0
